# Method: accounts.languages.productCertifications.list

- [HTTP request](https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications/list#body.request_body)
- [Response body](https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications/list#body.response_body)
  - [JSON representation](https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications/list#body.ListProductCertificationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications/list#body.aspect)
- [Try it!](https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications/list#try-it)

Lists product certifications from a specified certification body.

This method can only be called by certification bodies.

### HTTP request

`GET https://manufacturers.googleapis.com/v1/{parent=accounts/*/languages/*}/productCertifications`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of product certifications. Format: accounts/{account}/languages/{language_code} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of product certifications to return. The service may return fewer than this value. If unspecified, at most 50 product certifications will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `productCertifications.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `productCertifications.list` must match the call that provided the page token. Required if requesting the second or higher page. |

### Request body

The request body must be empty.

### Response body

Response for productCertifications.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "productCertifications": [ { object (`https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications#ProductCertification`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `productCertifications[]` | ``object (`https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications#ProductCertification`)`` The product certifications from the specified certification body. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/manufacturercenter`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).